<div>
  <div class="d-flex bd-highlight">
    <div class="p-2 w-100 bd-highlight">
      <div>
        <a class="pps-header" style="font-size: 28px;">ความพร้อมด้านเทคโนโลยีสารสนเทศ
        </a>
      </div>
      <p class="pps-header_th">
        เพิ่มรายละเอียดเกี่ยวกับความพร้อมด้านเทคโนโลยีสารสนเทศตามหัวข้อด้านล่าง
      </p>
    </div>
    <div class="pt-2 flex-shrink-1 bd-highlight d-flex">
      <div *ngIf="(validate === true || validate == null )">
        <button type="button" class="btn btn-primary saveDraft" (click)="saveDraftData()">
          บันทึกร่างใบคำขอ
        </button>
      </div>

      <!-- <div *ngIf="userRole === 'PO'">
        <button
          type="button"
          class="btn btn-primary sandwork"
          (click)="sandwork()"
        >
          ส่งงาน
        </button>
      </div> -->
    </div>
  </div>

  <div class="alert alert-success" role="alert" [ngStyle]="{ display: saveDraftstatus !== 'success' ? 'none' : '' }">
    <a class="alert-detail"><img src="../../../../../assets/img/checkmark.png" class="icon_checkmark" />
      บันทึกร่างใบคำขอเรียบร้อย</a>
  </div>
</div>
<br />
<!-- =============================================Part Read Only=================================================== -->
<div id="accordion">
  <div class="card">
    <div class="card-header" id="headingOne">
      <div class="d-flex" style="width: 100%; height: 30%;">
        <div class="btn text-header-panel">
          รายละเอียดที่ต้องการนำเสนอในครั้งนี้
        </div>
        <a *ngIf="showData === true" class="btn btn-link" data-toggle="collapse" data-target="#collapseOne"
          aria-expanded="true" aria-controls="collapseOne" (click)="show()">
          แสดงผลเพิ่มเติม
        </a>

        <a *ngIf="showData !== true" class="btn btn-link" data-toggle="collapse" data-target="#collapseOne"
          aria-expanded="true" aria-controls="collapseOne" (click)="show()">
          แสดงผลน้อยลง

        </a>
      </div>
    </div>

    <div id="collapseOne" class="collapse show" aria-labelledby="headingOne">
      <div class="card-body">
        <app-step-seven [template_manage]="{ role: null, validate: null, caaStatus: 'show' }"></app-step-seven>
        <!-- ----------------------------------------- อัปโหลดเอกสาร -------------------------------------------------- -->
        <div class="col-12" *ngIf="validate === true">
          <div class="typeofcollateral">
            <p class="head-detal">อัปโหลดเอกสาร</p>
            <div class="dropzone">
              <input class="form-control" type="file" #fileDropRef id="fileDropRef" multiple
                (change)="onSelectFile($event)" accept=".doc,.docx,.xml,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,
                      application/vnd.openxmlformats-officedocument.presentationml.presentation,application/pdf,
                      application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,
                      .jpg,.png" />

              <img src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
              <a style="font-size: 18px; color: #00a6e6;"
                for="fileDropRef">&nbsp;เลือกเอกสารที่ต้องการอัปโหลดหรือลากและวางไฟล์เอกสารที่นี่</a>
            </div>
          </div>
          <br />
        </div>
        <!-- <div class="row"> -->
        <div class="col-12 table_files" *ngIf="validate === true">
          <table mat-table [dataSource]="dataSource_file">
            <!-- Position Column -->
            <ng-container matColumnDef="name">
              <th mat-header-cell *matHeaderCellDef style="text-align: center !important;">ชื่อไฟล์</th>
              <td mat-cell *matCellDef="let element" style="text-align: center !important;">{{ element.fileName }}</td>
            </ng-container>

            <!-- Name Column -->
            <ng-container matColumnDef="size">
              <th mat-header-cell *matHeaderCellDef style="text-align: center !important;">ขนาดไฟล์</th>
              <td mat-cell *matCellDef="let element" style="text-align: center !important;">
                {{ (element.fileSize / 1024).toFixed(2) + " KB" }}
              </td>
            </ng-container>

            <!-- Name Column -->
            <ng-container matColumnDef="delete">
              <th mat-header-cell *matHeaderCellDef></th>
              <td mat-cell *matCellDef="let element; let index = index" style="text-align: center !important;">
                <a class="download_file" *ngIf="downloadfile_by[index] === 'path'"
                  (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
                <a class="download_file" *ngIf="downloadfile_by[index] === 'base64'"
                  (click)="downloadFile64(element)">ดาวน์โหลดไฟล์</a>
                <a class="pipe">|</a>
                <a class="delete_file" (click)="delete_mutifile(element, index)">ลบไฟล์</a>
              </td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
          </table>
        </div>
      </div>
    </div>
  </div>
  <div *ngFor="let present of listSummaryStep8 ; let in = index">
    <div class="card">
      <div class="card-header" id="headingTwo_{{in}}">
        <div class="d-flex" style="width: 100%; height: 30%;">
          <div class="btn text-header-panel">
            รายละเอียดที่นำเสนอในครั้งก่อน ({{present.lastReviewDate}})
          </div>
          <a *ngIf="showsearch[in].value  === true" class="btn btn-link" data-toggle="collapse"
            attr.data-target="#collapseTwo_{{in}}" aria-expanded="false" attr.aria-controls="collapseTwo_{{in}}"
            (click)="getSummarNew(in , present.requestId)" (click)="showSearch(in)">
            แสดงผลเพิ่มเติม
          </a>
          <a *ngIf="showsearch[in].value === false" class="btn btn-link" data-toggle="collapse"
            attr.data-target="#collapseTwo_{{in}}" aria-expanded="false" attr.aria-controls="collapseTwo_{{in}}"
            (click)="getSummarNew(in , present.requestId)" (click)="showSearch(in)">
            แสดงผลน้อยลง
          </a>
        </div>
      </div>

      <div id="collapseTwo_{{in}}" class="collapse" attr.aria-labelledby="headingTwo_{{in}}" data-parent="#accordion">
        <div class="card-body">
          <div style="padding-left: 8px;">
            <div class="row">
              <div class="col-12">
                <div class="d-flex bd-highlight">
                  <div class="w-100 bd-highlight">
                    <p class="head-detal">รายละเอียดในแต่ละกระบวนการ</p>
                  </div>
                  <!-- <div class="flex-shrink-1 bd-highlight">
                  <button class="btn-create-data" (click)="addRow()"><img src="assets/img/plus-icon.png" class="add-icon">
                    เพิ่มข้อมูล</button>
                </div> -->
                </div>
              </div>
              <div class="col-12">
                <hr style="margin-top: 0px; margin-bottom: 10px;" />
              </div>
              <div class="col-12">
                <div class="overflow-auto">
                  <table class="table-proccess table table-striped">
                    <thead>
                      <tr>
                        <th width="18%;" style="text-align: center !important;">กระบวนการ</th>
                        <th width="18%;" style="text-align: center !important;">กระบวนการย่อย</th>
                        <th width="18%;" style="text-align: center !important;">แนวทางการจัดการ</th>
                        <th width="18%;" style="text-align: center !important;">ผู้รับผิดชอบ</th>
                        <th width="18%;" style="text-align: center !important;">วันที่คาดว่าจะแล้วเสร็จ</th>
                        <!-- <th width="10%"></th> -->
                      </tr>
                    </thead>
                    <tbody>
                      <tr *ngFor="let item of stepSeven.readiness; index as istep">
                        <td style="width: 18%;">
                          <div *ngIf="checkStaticTitle(istep); else notStaticType">
                            {{ item.process }}
                          </div>
                          <ng-template #notStaticType>
                            <!-- <input type="text" class="form-control" placeholder="อื่นๆ ระบุ..." [(ngModel)]="item.process"
                            (ngModelChange)="changeSaveDraft()"> -->
                            {{ item.process }}
                          </ng-template>
                        </td>
                        <td colspan="5" class="pd-0">
                          <table class="table-proccess-data">
                            <tr *ngFor="
                              let detailItem of item.detail;
                              index as isup
                            ">

                              <td style="width: 18%;" [ngClass]="{
                                td_single: istep % 2 !== 0,
                                td_couple: istep % 2 === 0
                              }">
                                <!-- <input type="text" class="form-control" placeholder="ระบุกระบวนการย่อย"
                                [(ngModel)]="detailItem.subProcess" (ngModelChange)="changeSaveDraft()"> -->
                                {{ detailItem.subProcess }}
                              </td>
                              <td style="width: 18%;" [ngClass]="{
                                td_single: istep % 2 !== 0,
                                td_couple: istep % 2 === 0
                              }">
                                <!-- <input type="text" class="form-control" placeholder="ระบุแนวทางการจัดการ"
                                [(ngModel)]="detailItem.management" (ngModelChange)="changeSaveDraft()"> -->
                                {{ detailItem.management }}
                              </td>
                              <td style="width: 18%;" [ngClass]="{
                                td_single: istep % 2 !== 0,
                                td_couple: istep % 2 === 0
                              }">
                                <!-- <input type="text" class="form-control" placeholder="ระบุผู้รับผิดชอบ"
                                [(ngModel)]="detailItem.responsible" (ngModelChange)="changeSaveDraft()"> -->
                                {{ detailItem.responsible }}
                              </td>

                              <td style="width: 18%;" [ngClass]="{
                                  td_single: istep % 2 !== 0,
                                  td_couple: istep % 2 === 0
                                }">
                                <div class="input-warpper">
                                  <!-- <div class="icon-warpper1">
                                  <img src="../../../../assets/img/calendar.svg" class="btn-date" (click)="dp.toggleCalendar()">
                                </div> -->
                                  <!-- <input angular-mydatepicker type="text" name="myDpOptions" [(ngModel)]="detailItem.dueDate"
                                  (ngModelChange)="changeSaveDraft()" class="form-control" placeholder="กรุณาเลือกวันที่"
                                  [options]="myDpOptions" #dp="angular-mydatepicker" (click)="dp.toggleCalendar()" /> -->

                                  {{detailItem.dueDate }}
                                </div>
                              </td>

                              <!-- <td style=" width: 10% ">
                              <span class="delete-data"
                                (click)="removeDataItem(istep , isup)">ลบข้อมูล</span>
                              </td> -->

                            </tr>
                          </table>
                        </td>
                      </tr>
                    </tbody>
                  </table>
                </div>
              </div>

              <!-- <div class="col-12 d-flex justify-content-end mt-3">
              <button class="btn-create-data" (click)="addRow()"><img src="assets/img/plus-icon.png" class="add-icon">
                เพิ่มข้อมูล</button>
            </div> -->

              <!-- ----------------------------------------- User Experience & Journey -------------------------------------------------- -->

              <div class="col-12">
                <p class="head-detal">User Experience & Journey</p>
              </div>
              <div class="col-12">
                <div
                  style="height: auto;width:97%;background-color:#e9ecef;margin:auto;border:1px solid #e1e3e6;border-radius:4px">
                  <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
                    placeholder="ระบุรายละเอียด User Experience & Journey "
                    style="min-height:130px;background-color:#e9ecef;border:0;width:100%" [(ngModel)]="stepSeven.uxText"
                    disabled (keyup)="autoGrowTextZone($event)" (click)="autoGrowTextZone($event)"></textarea>
                  <div style="height: auto;position:relative;background-color:#e9ecef;">
                    <div class="col-12">
                      <div>
                        <div class="input_upload" style="color: #999999;min-height:130px">
                          <hr style="margin: 0px;" />
                          {{ image1.length }} ไฟล์ภาพที่แนบมา

                          <div class="image_row">
                            <div class="row image_col" style="  padding-left: 15px;
                        padding-bottom: 15px;">
                              <div class="unnon_image_out" *ngFor="let item of image1; index as i">
                                <div class="unnon_image">
                                  <img [src]="image1[i]" class="photo" (click)="image_click(1, i)" />
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>


                      </div>
                    </div>
                  </div>
                </div>
              </div>

              <br />

              <!-- ----------------------------------------- Impact Analysis -------------------------------------------------- -->

              <div class="col-12">
                <p class="head-detal">Impact Analysis</p>
              </div>
              <div class="col-12">
                <div
                  style="height: auto;width:97%;background-color:#e9ecef;margin:auto;border:1px solid #e1e3e6;border-radius:4px">
                  <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
                    placeholder="ระบุรายละเอียด Impact Analysis"
                    style="min-height:130px;background-color:#e9ecef;border:0;width:100%"
                    [(ngModel)]="stepSeven.impactAnalysisText" disabled (keyup)="autoGrowTextZone($event)"
                    (click)="autoGrowTextZone($event)"></textarea>
                  <div style="height: auto;position:relative;background-color:#e9ecef;">
                    <div class="col-12">
                      <div>
                        <div class="input_upload" style="color: #999999;min-height:130px">
                          <hr style="margin: 0px;" />
                          {{ image2.length }} ไฟล์ภาพที่แนบมา

                          <div class="image_row">
                            <div class="row image_col" style="  padding-left: 15px;
                        padding-bottom: 15px;">
                              <div class="unnon_image_out" *ngFor="let item of image2; index as i">
                                <div class="unnon_image">
                                  <img [src]="image2[i]" class="photo" (click)="image_click(2, i)" />
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>


                      </div>
                    </div>
                  </div>
                </div>
              </div>


              <br />

              <!-- ----------------------------------------- Network Diagram -------------------------------------------------- -->

              <div class="col-12">
                <p class="head-detal">Network Diagram</p>
              </div>
              <div class="col-12">
                <div
                  style="height: auto;width:97%;background-color:#e9ecef;margin:auto;border:1px solid #e1e3e6;border-radius:4px">
                  <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
                    placeholder="เพิ่มรายละเอียด Network Diagram"
                    style="min-height:130px;background-color:#e9ecef;border:0;width:100%"
                    [(ngModel)]="stepSeven.networkDiagramText" disabled (keyup)="autoGrowTextZone($event)"
                    (click)="autoGrowTextZone($event)"></textarea>
                  <div style="height: auto;position:relative;background-color:#e9ecef;">
                    <div class="col-12">
                      <div>
                        <div class="input_upload" style="color: #999999;min-height:130px">
                          <hr style="margin: 0px;" />
                          {{ image3.length }} ไฟล์ภาพที่แนบมา

                          <div class="image_row">
                            <div class="row image_col" style="  padding-left: 15px;
                        padding-bottom: 15px;">
                              <div class="unnon_image_out" *ngFor="let item of image3; index as i">
                                <div class="unnon_image">
                                  <img [src]="image3[i]" class="photo" (click)="image_click(3, i)" />
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>


                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <br />

              <!-- ----------------------------------------- Dataflow Diagram -------------------------------------------------- -->

              <div class="col-12">
                <p class="head-detal">Dataflow Diagram</p>
              </div>
              <div class="col-12">
                <div
                  style="height: auto;width:97%;background-color:#e9ecef;margin:auto;border:1px solid #e1e3e6;border-radius:4px">
                  <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
                    placeholder="ระบุรายละเอียด Dataflow Diagram"
                    style="min-height:130px;background-color:#e9ecef;border:0;width:100%"
                    [(ngModel)]="stepSeven.dataFlowDiagramText" disabled (keyup)="autoGrowTextZone($event)"
                    (click)="autoGrowTextZone($event)"></textarea>
                  <div style="height: auto;position:relative;background-color:#e9ecef;">
                    <div class="col-12">
                      <div>
                        <div class="input_upload" style="color: #999999;min-height:130px">
                          <hr style="margin: 0px;" />
                          {{ image4.length }} ไฟล์ภาพที่แนบมา

                          <div class="image_row">
                            <div class="row image_col" style="  padding-left: 15px;
                        padding-bottom: 15px;">
                              <div class="unnon_image_out" *ngFor="let item of image4; index as i">
                                <div class="unnon_image">
                                  <img [src]="image4[i]" class="photo" (click)="image_click(4, i)" />
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>


                      </div>
                    </div>
                  </div>
                </div>
                <br /><br />
              </div>

              <!-- ----------------------------------------- อัปโหลดเอกสาร -------------------------------------------------- -->
              <div class="col-12">
                <label style="
                  color: #999999;
                  font-family: Prompt;
                  font-size: 18px;
                  font-weight: 500;
                  letter-spacing: 0;
                  line-height: 28px;
                ">ไฟล์เอกสารเพิ่มเติม</label>
                <br />
              </div>
              <!-- <div class="row"> -->
              <div class="col-12 table_files">
                <table mat-table [dataSource]="dataSource_file_summary">
                  <!-- Position Column -->
                  <ng-container matColumnDef="name">
                    <th mat-header-cell *matHeaderCellDef style="text-align: center !important">ชื่อไฟล์</th>
                    <td mat-cell *matCellDef="let element" style="text-align: center !important;">
                      {{ element.fileName }}
                    </td>
                  </ng-container>

                  <!-- Name Column -->
                  <ng-container matColumnDef="size">
                    <th mat-header-cell *matHeaderCellDef style="text-align: center !important;">ขนาดไฟล์</th>
                    <td mat-cell *matCellDef="let element" style="text-align: center !important;">
                      {{ (element.fileSize / 1024).toFixed(2) + " KB" }}
                    </td>
                  </ng-container>

                  <!-- Name Column -->
                  <ng-container matColumnDef="download">
                    <th mat-header-cell *matHeaderCellDef></th>
                    <td mat-cell *matCellDef="let element; let index = index" style="text-align: center !important;">
                      <a class="download_file" (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
                    </td>
                  </ng-container>

                  <tr mat-header-row *matHeaderRowDef="displayedColumns_file_summary"></tr>
                  <tr mat-row *matRowDef="let row; columns: displayedColumns_file_summary"></tr>
                </table>
              </div>
              <!--------------------------------------------------- The Modal -------------------------------------------------------- -->
              <div id="myModalEight" class="modal">
                <span class="close cursor" (click)="closeModal()"><img
                    src="../../../../../assets/img/close-modal.png" /></span>
                <div style="justify-content: center;">
                  <div class="modal-content" *ngIf="showModel">
                    <img src="{{ modalImage[modalmainImageIndex] }}" class="modal-image" />
                  </div>
                  <br />
                  <div>
                    <div class="d-flex modal-image-detail" *ngIf="showModel">
                      <div *ngFor="let item of modalImage; index as i">
                        <img src="{{ modalImage[i] }}" [ngClass]="{
                          'modal-image-gallery': i !== modalmainImageIndex,
                          'modal-image-gallery-select':
                            i === modalmainImageIndex
                        }" (click)="modalmainImageIndex = i" />
                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <!-- ------------------------------------------------------------------------------------------------------------------ -->
            </div>
          </div>

          <br />

        </div>
      </div>
    </div>
  </div>
</div>
<!-- ----------------------------------------- next button -------------------------------------------------- -->
<div *ngIf="(validate === true || validate == null )">
  <br />
  <br />
  <div class="row">
    <div class="col-12">
      <button class="btn btn-outline-secondary button-next" type="button" (click)="next_step()">
        ถัดไป
      </button>
    </div>
  </div>
  <br />
  <br />
</div>
<div class="row" *ngIf="validate === false">
  <div class="col-12">
    <button class="btn btn-outline-secondary button-next" type="button" (click)="viewNext()">ถัดไป</button>
  </div>
</div>
<br>